package com.sunxung.factoring.entity.financing.sop;

import java.util.List;

/**
 * 支用上报实体类
 *
 * @author liutao
 * @date 2022-10-31
 */
public class QuotaDisburseReport extends BaseEcommerceApiSearch {

    /**
     * 业务编号
     */
    private String businessNo;

    /**
     * 保理合同编号
     */
    private String contractNo;

    /**
     * 额度支用批次号
     */
    private Integer quotaDisburseBatch;

    /**
     * 进口方
     * 上报电理通系统注册号
     */
    private String counterpartyCode;

    /**
     * 有无保证信息
     * 0：无，1：有
     */
    private Integer guaranteeInformation;

    /**
     * 有无相关还款责任人信息
     * 0：无，1：有
     */
    private Integer respRepay;

    /**
     * 账户上报方式 1:A类，0:B类
     */
    private Integer reportMethod;

    /**
     * 融资信息
     */
    private ReviewFinancingInfoApi reviewFinancingInfo;

    /**
     * 主合同信息
     */
    private ReviewMasterContractApi reviewMasterContract;

    /**
     * 主合同债务人信息
     */
    private ReviewMasterContractDebtorApi reviewMasterContractDebtor;

    /**
     * 保证信息
     * 当有无保证信息为1时有值
     */
    private List<GuaranteeInfoApi> guaranteeInfoList;

    /**
     * 相关还款责任人
     */
    private List<RltRepay> rltRepayList;

    /**
     * 收支计划信息
     */
    private List<IncomExpenditurePlanApi> incomeExpenditurePlanList;

    /**
     * 对应sop的底层应收账款Id
     */
    private Long sopAccountsReceivableId;


    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public String getCounterpartyCode() {
        return counterpartyCode;
    }

    public void setCounterpartyCode(String counterpartyCode) {
        this.counterpartyCode = counterpartyCode;
    }

    public Integer getGuaranteeInformation() {
        return guaranteeInformation;
    }

    public void setGuaranteeInformation(Integer guaranteeInformation) {
        this.guaranteeInformation = guaranteeInformation;
    }

    public Integer getRespRepay() {
        return respRepay;
    }

    public void setRespRepay(Integer respRepay) {
        this.respRepay = respRepay;
    }

    public ReviewFinancingInfoApi getReviewFinancingInfo() {
        return reviewFinancingInfo;
    }

    public void setReviewFinancingInfo(ReviewFinancingInfoApi reviewFinancingInfo) {
        this.reviewFinancingInfo = reviewFinancingInfo;
    }

    public ReviewMasterContractApi getReviewMasterContract() {
        return reviewMasterContract;
    }

    public void setReviewMasterContract(ReviewMasterContractApi reviewMasterContract) {
        this.reviewMasterContract = reviewMasterContract;
    }

    public ReviewMasterContractDebtorApi getReviewMasterContractDebtor() {
        return reviewMasterContractDebtor;
    }

    public void setReviewMasterContractDebtor(ReviewMasterContractDebtorApi reviewMasterContractDebtor) {
        this.reviewMasterContractDebtor = reviewMasterContractDebtor;
    }

    public List<GuaranteeInfoApi> getGuaranteeInfoList() {
        return guaranteeInfoList;
    }

    public void setGuaranteeInfoList(List<GuaranteeInfoApi> guaranteeInfoList) {
        this.guaranteeInfoList = guaranteeInfoList;
    }

    public List<RltRepay> getRltRepayList() {
        return rltRepayList;
    }

    public void setRltRepayList(List<RltRepay> rltRepayList) {
        this.rltRepayList = rltRepayList;
    }

    public List<IncomExpenditurePlanApi> getIncomeExpenditurePlanList() {
        return incomeExpenditurePlanList;
    }

    public void setIncomeExpenditurePlanList(List<IncomExpenditurePlanApi> incomeExpenditurePlanList) {
        this.incomeExpenditurePlanList = incomeExpenditurePlanList;
    }

    public Long getSopAccountsReceivableId() {
        return sopAccountsReceivableId;
    }

    public void setSopAccountsReceivableId(Long sopAccountsReceivableId) {
        this.sopAccountsReceivableId = sopAccountsReceivableId;
    }

    public Integer getReportMethod() {
        return reportMethod;
    }

    public void setReportMethod(Integer reportMethod) {
        this.reportMethod = reportMethod;
    }
}
